Contents
\<bookmark_value\>Switch function\</bookmark_value\>

# Switch Function

Evaluates a list of arguments, consisting of an expression followed by a value. The Switch function returns a value that is associated with the expression that is passed by this function.

### Syntax:

    Switch (Expression1, Value1[, Expression2, Value2[..., Expression_n, Value_n]]) As Variant

### Parameters:

The \<emph\>Switch\</emph\> function evaluates the expressions from left to right, and then returns the value that is assigned to the function expression. If expression and value are not given as a pair, a runtime error occurs.

\<emph\>Expression:\</emph\> The expression that you want to evaluate.

\<emph\>Value:\</emph\> The value that you want to return if the expression is True.

In the following example, the \<emph\>Switch\</emph\> function assigns the appropriate gender to the name that is passed to the function:

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleSwitch
    Dim sGender As String
        sGender = GetGenderIndex( "John" )
        MsgBox sGender
    End Sub

    Function GetGenderIndex (sName As String) As String
        GetGenderIndex = Switch(sName = "Jane", "female", sName = "John", "male")
    End Function

נושאים קשורים

Choose Function

Select...Case Statement